@-webkit-keyframes spinner-animation {
    from {
     -webkit-transform:rotate(0);
     transform:rotate(0)
    }
    to {
     -webkit-transform:rotate(360deg);
     transform:rotate(360deg)
    }
   }
   @-o-keyframes spinner-animation {
    from {
     -o-transform:rotate(0);
     transform:rotate(0)
    }
    to {
     -o-transform:rotate(360deg);
     transform:rotate(360deg)
    }
   }
   @keyframes spinner-animation {
    from {
     -webkit-transform:rotate(0);
     -o-transform:rotate(0);
     transform:rotate(0)
    }
    to {
     -webkit-transform:rotate(360deg);
     -o-transform:rotate(360deg);
     transform:rotate(360deg)
    }
   }
   .spinner:after,.spinner:before {
    border-color:rgba(255,255,255,.8);
    border-radius:50%;
    border-style:solid;
    content:"";
    left:50%;
    position:absolute;
    top:50%;
    border-width:2px;
    height:24px;
    margin:-12px 0 0 -12px;
    width:24px
   }
   .spinner:after {
    -webkit-animation:spinner-animation .6s linear;
    -o-animation:spinner-animation .6s linear;
    animation:spinner-animation .6s linear;
    -webkit-animation-iteration-count:infinite;
    -o-animation-iteration-count:infinite;
    animation-iteration-count:infinite
   }
   button.spinner {
    color:transparent;
    position:relative
   }
   button.spinner.focus,button.spinner:focus,button.spinner:hover {
    color:transparent
   }
   button.spinner.active.focus,button.spinner.active:focus,button.spinner.active:hover,button.spinner:active.focus,button.spinner:active:focus,button.spinner:active:hover {
    color:transparent
   }
   .spinner-default:after {
    border-color:#757575 transparent transparent
   }
   .spinner-primary:after {
    border-color:#0288d1 transparent transparent
   }
   .spinner-success:after {
    border-color:#43a047 transparent transparent
   }
   .spinner-info:after {
    border-color:#2196f3 transparent transparent
   }
   .spinner-warning:after {
    border-color:#ef6c00 transparent transparent
   }
   .spinner-danger:after {
    border-color:#d50000 transparent transparent
   }
   .spinner-lg:after,.spinner-lg:before {
    border-width:3px;
    height:48px;
    margin:-24px 0 0 -24px;
    width:48px
   }
   .spinner-sm:after,.spinner-sm:before {
    height:18px;
    margin:-9px 0 0 -9px;
    width:18px
   }
   